package com.xxl.job.executor.report.service;

import com.xxl.job.executor.common.entity.CtopOauthToken;
import com.xxl.job.executor.report.entity.BytedanceReportPlayableRetry;

import java.util.List;

public interface IBytedanceInterfaceService {

    void searchLog(Long accountId, CtopOauthToken token, Integer operationType, String startDate, String endDate);

    //头条试玩报表
    int bytedancePlayableReport(CtopOauthToken token, String startDate, String endDate);

    List<BytedanceReportPlayableRetry> getRetryList();

    int bytedancePlayableReportRetry(Integer type, CtopOauthToken token, String startDate, String endDate);

}
